﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TreemapHeatmap
{
    public class TreemapData : ObservableCollection<Node>
    {
        public TreemapData()
        {
            for (int i = 0; i < 20; i++)
            {
                this.Add(new Node { SizeValue = 1.0, HeatValue = i, Label = "item " + i.ToString() });
            }
        }
    }

    public class Node
    {
        public double SizeValue { get; set; }

        public double HeatValue { get; set; }

        public string Label { get; set; }
    }
}
